> 커뮤니티 > 프로그램질문
프로그램질문

인테리어 관련 프로그램(캐드, 맥스, 포토샵, 래빗)에 관한 질문을 올리고 답변이나 도움을 받을 수 있는 게시판입니다. 

오토리습 관련

1 환경지키미 0 25 0 0
제가 엑셀에서 좌표값을 받아 와서 오토리습을 이용해 캐드에 직사가형을 그리는

리습을 짜고 있습니다.

첫번째로 엑셀 데이터를 캐드에 연동시키는 것이 어렵고 힘드네요 ㅠ

두번째로 엑셀데이터(좌표값) 받아 와서 그 값이 끝날때까지 반복적으로 사각형을 계속 그려야 하는데 그 방법을 모르겠습니다....ㅠㅠ

(defun c:myrectangle ()
(setvar "cmdecho" 0)
(command "-layer" "m" "1" "")

;; 시작점 입력받기.
(setq *P1 (getpoint "\n 1 위치점 입력 : "))

;; P2점 입력받기.
(setq *X1 (car *P1))
(setq *Y1 (cadr *P1))
(setq *X2 (+ *X1 0.5))
(setq *Y2 (- *Y1 0.646666666))

(setq *P2 (list *X2 *Y2))

;; 사각형 그리기.
(command "rectangle" *P1 *P2 "")
(command "chprop" (entlast) "" "c" 2 "")

(command "zoom" "e")
(repeat
(princ)
)
제가 여태까지 작성한 리습입니다.

어떻게 해결하면 될까요?

부탁드려요 ㅠㅠ

0 Comments
제목
Category
State
  • 현재 접속자 37 명
  • 오늘 방문자 487 명
  • 어제 방문자 1,688 명
  • 최대 방문자 3,310 명
  • 전체 방문자 1,154,513 명
  • 전체 게시물 88,739 개
  • 전체 댓글수 11,913 개
  • 전체 회원수 20,771 명
Facebook Twitter GooglePlus KakaoStory NaverBand